package com.mortals.xhx.common.code;

import java.util.LinkedHashMap;
import java.util.Map;

/**
* 实施主体性质（法定机关.法定机关，授权组织.授权组织，受委托组织.受委托组织）枚举类
*
* @author zxfei
*/
public enum PerformDeptTypeShowEnum {
    法定机关("法定机关", "法定机关"),
    授权组织("授权组织", "授权组织"),
    受委托组织("受委托组织", "受委托组织");
    private String value;
    private String desc;

    PerformDeptTypeShowEnum(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    public String getValue() {
        return this.value;
    }

    public String getDesc() {
        return this.desc;
    }

    public static PerformDeptTypeShowEnum getByValue(String value) {
        for (PerformDeptTypeShowEnum performDeptTypeShowEnum : PerformDeptTypeShowEnum.values()) {
            if (performDeptTypeShowEnum.getValue() == value) {
                return performDeptTypeShowEnum;
            }
        }
        return null;
    }

    /**
    * 获取Map集合
    *
    * @param eItem 不包含项
    * @return
    */
    public static Map<String, String> getEnumMap(String... eItem) {
        Map<String, String> resultMap = new LinkedHashMap<>();
        for (PerformDeptTypeShowEnum item : PerformDeptTypeShowEnum.values()) {
            try {
                boolean hasE = false;
                for (String e : eItem) {
                    if (item.getValue() == e) {
                        hasE = true;
                        break;
                    }
                }
                if (!hasE) {
                    resultMap.put(item.getValue() + "", item.getDesc());
                }
            } catch (Exception ex) {

            }
        }
        return resultMap;
    }
}